Subject: Re: bug#79278: [PATCH] Add section "Semantic Linefeed Filling" to Emacs user manual

From: Eli Zaretskii <[email-masked]>
Date: Sat, 23 Aug 2025 15:19:18 +0300

> From: Roi Martin <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 20 Aug 2025 16:05:54 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Thanks, but I'm not sure this feature is important enough to have it
> > described in so many words in the user manual.
> 
> I agree this is a minor feature, which is why I added the documentation
> into a subsubsection.  However, I'd like to provide users with
> information about what is the meaning of "semantic linefeeds" and how to
> use them in Emacs.
> 
> I believe that having information about `fill-paragraph-semlf',
> `fill-region-as-paragraph-semlf' and `fill-region-as-paragraph-function'
> side by side makes it easier to understand the different ways in which
> users can use the feature.
> 
> I also agree that the first version was too verbose.  What do you think
> of this new version?

I'd like first to see if this is used widely enough to warrant being
mentioned in the manual.  How about asking on help-gnu-emacs or via
Reddit?